Get user posts
curl --request GET \
--url https://api.konbiniapi.com/v1/instagram/users/{username}/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/instagram/users/{username}/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/instagram/users/{username}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.konbiniapi.com/v1/instagram/users/{username}/posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.konbiniapi.com/v1/instagram/users/{username}/posts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.konbiniapi.com/v1/instagram/users/{username}/posts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.konbiniapi.com/v1/instagram/users/{username}/posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollectionPage",
"partOf": "https://api.konbiniapi.com/v1/instagram/users/cristiano/posts",
"totalItems": 1309,
"cursor": null,
"nextCursor": "abc123",
"next": "https://api.konbiniapi.com/v1/instagram/users/cristiano/posts?cursor=abc123&count=12",
"itemCount": 30,
"orderedItems": [
{
"type": "Video",
"id": "https://www.instagram.com/p/DekIIwwgb2h/",
"url": "https://www.instagram.com/p/DekIIwwgb2h/",
"entityId": "DekIIwwgb2h",
"content": "@WHOOP, now available in Arabic\n\nووب الآن بالعربية",
"published": "2026-10-16T18:01:45.000Z",
"likeCount": 2277215,
"commentCount": 24768,
"attributedTo": {
"type": "Person",
"id": "https://www.instagram.com/cristiano/",
"url": "https://www.instagram.com/cristiano/",
"entityId": "173560420",
"preferredUsername": "cristiano",
"name": "Cristiano Ronaldo",
"icon": {
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1080
},
"isVerified": true,
"isBusiness": false,
"isProfessional": true,
"followerCount": 98765,
"role": "collaborator"
},
"location": {
"type": "Place",
"name": "Riyadh, Saudi Arabia",
"id": "213018187",
"url": "https://www.instagram.com/explore/locations/213018187/",
"latitude": 24.7136,
"longitude": 46.6753,
"entityId": "267875289901288",
"address": "King Fahd Road"
},
"tag": [
{
"type": "Tag",
"name": "cr7",
"href": "https://www.instagram.com/explore/tags/cr7/"
}
],
"language": "en",
"isEdited": false,
"isSponsored": true,
"pinnedBy": [
{
"type": "Person",
"entityId": "528817151"
}
],
"viewCount": 9103126,
"viewCountBy": {
"instagram": 21809,
"facebook": 76075
},
"duration": 31.5,
"contentFormat": "reel",
"attachment": [
{
"type": "Video",
"url": [
"https://instagram.fric1-1.fna.fbcdn.net/o1/v/t2/f2/m86/AQMSAKf5SFey0hmm4BmkEsi9QRmUEHWZpfxqZIHF0fB65GULrqd6ojbYagqtI8oMGuZzikefyNtXWAKh9toLjMNiMg592gXTR65xTsM.mp4"
],
"mediaType": "video/mp4",
"width": 720,
"height": 720
}
],
"icon": {
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1920
},
"image": [
{
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1920
}
],
"audio": {
"type": "Audio",
"entityId": "28877045585225582",
"name": "Original audio",
"artist": "cristiano",
"isOriginal": true,
"id": "https://www.instagram.com/reels/audio/28877045585225582/",
"url": "https://scontent.cdninstagram.com/v/t51.29350-15/28877045585225582_audio.m4a",
"attributedTo": {
"type": "Person",
"id": "https://www.instagram.com/cristiano/",
"url": "https://www.instagram.com/cristiano/",
"preferredUsername": "cristiano",
"entityId": "173560420"
},
"isAdult": false,
"duration": 85.216,
"icon": {
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1080
},
"preview": {
"type": "Audio",
"url": [
"https://scontent.cdninstagram.com/v/t51.29350-15/28877045585225582_preview.m4a"
],
"mediaType": "audio/mp4",
"duration": 30
},
"attachment": [
{
"type": "Audio",
"url": [
"https://scontent.cdninstagram.com/v/t51.29350-15/28877045585225582_audio.m4a"
],
"mediaType": "audio/mp4"
}
]
},
"name": "Photo of Cristiano Ronaldo",
"totalItems": 5,
"items": [
{
"type": "Image",
"entityId": "3214260996432123574",
"icon": {
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1920
},
"image": [
{
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1920
}
],
"attachment": [
{
"type": "Video",
"url": [
"https://instagram.fric1-1.fna.fbcdn.net/o1/v/t2/f2/m86/AQMSAKf5SFey0hmm4BmkEsi9QRmUEHWZpfxqZIHF0fB65GULrqd6ojbYagqtI8oMGuZzikefyNtXWAKh9toLjMNiMg592gXTR65xTsM.mp4"
],
"mediaType": "video/mp4",
"width": 720,
"height": 720
}
],
"name": "Photo of Cristiano Ronaldo"
}
]
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"code": "missing_api_key",
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"code": "api_key_disabled",
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"code": "not_found",
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}Users
Get user posts
Returns a paginated list of posts from an Instagram user’s profile feed. Maximum 12 posts per page. Includes photos, videos, carousels, and engagement counts.
GET
/
v1
/
instagram
/
users
/
{username}
/
posts
Get user posts
curl --request GET \
--url https://api.konbiniapi.com/v1/instagram/users/{username}/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/instagram/users/{username}/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/instagram/users/{username}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.konbiniapi.com/v1/instagram/users/{username}/posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.konbiniapi.com/v1/instagram/users/{username}/posts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.konbiniapi.com/v1/instagram/users/{username}/posts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.konbiniapi.com/v1/instagram/users/{username}/posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollectionPage",
"partOf": "https://api.konbiniapi.com/v1/instagram/users/cristiano/posts",
"totalItems": 1309,
"cursor": null,
"nextCursor": "abc123",
"next": "https://api.konbiniapi.com/v1/instagram/users/cristiano/posts?cursor=abc123&count=12",
"itemCount": 30,
"orderedItems": [
{
"type": "Video",
"id": "https://www.instagram.com/p/DekIIwwgb2h/",
"url": "https://www.instagram.com/p/DekIIwwgb2h/",
"entityId": "DekIIwwgb2h",
"content": "@WHOOP, now available in Arabic\n\nووب الآن بالعربية",
"published": "2026-10-16T18:01:45.000Z",
"likeCount": 2277215,
"commentCount": 24768,
"attributedTo": {
"type": "Person",
"id": "https://www.instagram.com/cristiano/",
"url": "https://www.instagram.com/cristiano/",
"entityId": "173560420",
"preferredUsername": "cristiano",
"name": "Cristiano Ronaldo",
"icon": {
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1080
},
"isVerified": true,
"isBusiness": false,
"isProfessional": true,
"followerCount": 98765,
"role": "collaborator"
},
"location": {
"type": "Place",
"name": "Riyadh, Saudi Arabia",
"id": "213018187",
"url": "https://www.instagram.com/explore/locations/213018187/",
"latitude": 24.7136,
"longitude": 46.6753,
"entityId": "267875289901288",
"address": "King Fahd Road"
},
"tag": [
{
"type": "Tag",
"name": "cr7",
"href": "https://www.instagram.com/explore/tags/cr7/"
}
],
"language": "en",
"isEdited": false,
"isSponsored": true,
"pinnedBy": [
{
"type": "Person",
"entityId": "528817151"
}
],
"viewCount": 9103126,
"viewCountBy": {
"instagram": 21809,
"facebook": 76075
},
"duration": 31.5,
"contentFormat": "reel",
"attachment": [
{
"type": "Video",
"url": [
"https://instagram.fric1-1.fna.fbcdn.net/o1/v/t2/f2/m86/AQMSAKf5SFey0hmm4BmkEsi9QRmUEHWZpfxqZIHF0fB65GULrqd6ojbYagqtI8oMGuZzikefyNtXWAKh9toLjMNiMg592gXTR65xTsM.mp4"
],
"mediaType": "video/mp4",
"width": 720,
"height": 720
}
],
"icon": {
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1920
},
"image": [
{
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1920
}
],
"audio": {
"type": "Audio",
"entityId": "28877045585225582",
"name": "Original audio",
"artist": "cristiano",
"isOriginal": true,
"id": "https://www.instagram.com/reels/audio/28877045585225582/",
"url": "https://scontent.cdninstagram.com/v/t51.29350-15/28877045585225582_audio.m4a",
"attributedTo": {
"type": "Person",
"id": "https://www.instagram.com/cristiano/",
"url": "https://www.instagram.com/cristiano/",
"preferredUsername": "cristiano",
"entityId": "173560420"
},
"isAdult": false,
"duration": 85.216,
"icon": {
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1080
},
"preview": {
"type": "Audio",
"url": [
"https://scontent.cdninstagram.com/v/t51.29350-15/28877045585225582_preview.m4a"
],
"mediaType": "audio/mp4",
"duration": 30
},
"attachment": [
{
"type": "Audio",
"url": [
"https://scontent.cdninstagram.com/v/t51.29350-15/28877045585225582_audio.m4a"
],
"mediaType": "audio/mp4"
}
]
},
"name": "Photo of Cristiano Ronaldo",
"totalItems": 5,
"items": [
{
"type": "Image",
"entityId": "3214260996432123574",
"icon": {
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1920
},
"image": [
{
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1920
}
],
"attachment": [
{
"type": "Video",
"url": [
"https://instagram.fric1-1.fna.fbcdn.net/o1/v/t2/f2/m86/AQMSAKf5SFey0hmm4BmkEsi9QRmUEHWZpfxqZIHF0fB65GULrqd6ojbYagqtI8oMGuZzikefyNtXWAKh9toLjMNiMg592gXTR65xTsM.mp4"
],
"mediaType": "video/mp4",
"width": 720,
"height": 720
}
],
"name": "Photo of Cristiano Ronaldo"
}
]
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"code": "missing_api_key",
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"code": "api_key_disabled",
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"code": "not_found",
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}